Loading...
Searching...
No Matches
_WandView Struct Reference

## Data Fields

size_t | id
char | name [MagickPathExtent]
char * | description
RectangleInfo | extent
MagickWand * | wand
CacheView * | view
Image * | image
PixelWand *** | pixel_wands
ExceptionInfo * | exception
MagickBooleanType | debug
size_t | signature

## Detailed Description

Definition at line 62 of file wand-view.c.

## Field Documentation

## debug

MagickBooleanType _WandView::debug

Definition at line 90 of file wand-view.c.

## description

char * _WandView::description

Definition at line 69 of file wand-view.c.

## exception

ExceptionInfo* _WandView::exception

Definition at line 87 of file wand-view.c.

## extent

RectangleInfo _WandView::extent

Definition at line 72 of file wand-view.c.

## id

size_t _WandView::id

Definition at line 65 of file wand-view.c.

## image

Image* _WandView::image

Definition at line 81 of file wand-view.c.

## name

char _WandView::name[MagickPathExtent]

Definition at line 68 of file wand-view.c.

## pixel_wands

PixelWand*** _WandView::pixel_wands

Definition at line 84 of file wand-view.c.

## signature

size_t _WandView::signature

Definition at line 93 of file wand-view.c.

## view

CacheView* _WandView::view

Definition at line 78 of file wand-view.c.

## wand

MagickWand* _WandView::wand

Definition at line 75 of file wand-view.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickWand/wand-view.c